Bug 888766 - remove obsolete conditionals from .spec file (they block clean rebuild on RHEL for no sensible reason)
Summary: remove obsolete conditionals from .spec file (they block clean rebuild on RHE...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: quodlibet
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 12:54 UTC by David Jaša
Modified: 2013-01-12 01:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-31 03:30:39 UTC


Attachments (Terms of Use)

Description David Jaša 2012-12-19 12:54:22 UTC
Description of problem:
remove obsolete conditionals from .spec file (they block clean rebuild on RHEL for no sensible reason)

Version-Release number of selected component (if applicable):
quodlibet-2.4.1-1.fc17

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 hannes 2012-12-19 13:08:00 UTC
Could you please specify which conditionals you mean?

Comment 2 David Jaša 2012-12-19 13:45:03 UTC
both:
this always evaluates false so you can remove it completely:
%if 0%{fedora} <= 6
BuildRequires:  python-ctypes
%endif

this always evaluates to true so you can remove %if and %endif
%if %{fedora} >= 6
# for iPod device support
Requires:       python-gpod
%endif

(/me likes the debian way of "if python < x.y.z then require python-ctypes" but that's much longer shot than this bug report scope)

Comment 3 Fedora Update System 2012-12-22 08:28:36 UTC
quodlibet-2.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/quodlibet-2.5-1.fc17

Comment 4 Fedora Update System 2012-12-22 08:28:57 UTC
quodlibet-2.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/quodlibet-2.5-1.fc18

Comment 5 Fedora Update System 2012-12-22 21:12:43 UTC
Package quodlibet-2.5-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing quodlibet-2.5-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20849/quodlibet-2.5-1.fc18
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-12-31 03:30:41 UTC
quodlibet-2.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-01-12 01:18:56 UTC
quodlibet-2.5-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.